## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Class ParameterDataCellModifier

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDataCellModifier
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ParameterDataCellModifier

All Implemented Interfaces:
  org.eclipse.jface.viewers.ICellModifier

    public class ParameterDataCellModifier

extends TableDataCellModifier

Author:
  Hui Cao

Constructor Summary
`ParameterDataCellModifier(AccessibleTableViewer viewer, boolean enforcePrefix, boolean supportsExp)`

Method Summary
`void` `modify(java.lang.Object element, java.lang.String property, java.lang.Object value)`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDataCellModifier
`canChange, canModify, getValue, setCanModify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterDataCellModifier

    public ParameterDataCellModifier(AccessibleTableViewer viewer,
                                     boolean enforcePrefix,
                                     boolean supportsExp)

Method Detail

### modify

    public void modify(java.lang.Object element,
                       java.lang.String property,
                       java.lang.Object value)

  Specified by:
    `modify` in interface `org.eclipse.jface.viewers.ICellModifier`
  Overrides:
    `modify` in class `TableDataCellModifier`